Skip to content

Retrieve a user by ID

Request

Get authenticated user details by user ID.

Security
UserToken or PersonalToken
Path
userIdinteger, (int64)required

The user ID.

Example:101
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v1/users/101 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved user.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

User ID.

Example:101
namestring or null

User's full name.

Example:"Example Person"
emailstring

User's email.

Example:"person@example.com"
activeboolean

If user is active or not.

Example:true
detailsobject or null

User details.

Response
{ "id": 101, "name": "Example Person", "email": "person@example.com", "active": true, "details": { "firstName": "Example", "lastName": "Person", "phoneNumber": "+37111111111", "dateOfBirth": "1977-01-01", "occupation": "", "avatar": "https://lh6.googleusercontent.com/photo.jpg", "primaryAddress": 111, "address": { "countryCode": "EE", "firstLine": "Road 123", "postCode": "11111", "city": "Tallinn", "state": "", "occupation": "" } } }